﻿namespace XamarinFormsListViewTest7
{
    using System.Collections.ObjectModel;
    using System;
    using Xamarin.Forms;
    public class Item
    {
        public String Title { get; private set; }

        public Item(String title)
        {
            Title = title;
        }
    }

    public class Group : ObservableCollection<Item>
    {
        public String Title { get; private set; }

        public Group(String title)
        {
            this.Title = title;
        }
    }

    public class MyItemTemplateSelector : DataTemplateSelector
    {
        DataTemplate grouptemp;

        DataTemplate itemtemp;

        public MyItemTemplateSelector()
        {
            // Retain instances!
            itemtemp = new DataTemplate(typeof(ItemViewCell));
            grouptemp = new DataTemplate(typeof(GroupHeaderCell));
        }

        protected override DataTemplate OnSelectTemplate(object item, BindableObject container)
        {
            if (item is Item)
            {
                return itemtemp;
            }

            return grouptemp;
        }
    }

    public class App : Application
    {
        

        public App()
        {
            MainPage = new ListPage();
        }
    }
}
